Operation (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.Operation interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface Operation

All Superinterfaces:
  Activity, ManagedElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  WSOperation

    public interface Operation

extends Activity

An activity that has a well-defined calling structure, such as a method on an object or a specific request of a service

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.process.Activity
`IBM_COPYRIGHT`

Method Summary
`Document[]` | `getDefiningDocs()` The documents that contain the definition of this operation
`ServiceAccessPoint[]` | `getSAPs()` The service access points through which this operation can be invoked
`boolean` | `hasDefiningDocs()`
`boolean` | `hasSAPs()`
`void` | `setDefiningDocs(Document[] docs)`
`void` | `setSAPs(ServiceAccessPoint[] name)`

Methods inherited from interface com.collation.platform.model.topology.process.Activity
`getActivityName, getNamespace, getOwner, getPrerequisites, getResources, hasActivityName, hasNamespace, hasOwner, hasPrerequisites, hasResources, setActivityName, setNamespace, setOwner, setPrerequisites, setResources`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getSAPs

    ServiceAccessPoint[] getSAPs()
                                 throws AttributeNotSetException

  The service access points through which this operation can be invoked

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InvokedThrough" reverse="false"

### setSAPs

    void setSAPs(ServiceAccessPoint[] name)

### hasSAPs

    boolean hasSAPs()

### getDefiningDocs

    Document[] getDefiningDocs()
                               throws AttributeNotSetException

  The documents that contain the definition of this operation

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DefinedUsing" reverse="false"

### setDefiningDocs

    void setDefiningDocs(Document[] docs)

### hasDefiningDocs

    boolean hasDefiningDocs()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD